# $Id: babyregistry.rb,v 1.8 2004/02/26 23:02:27 ianmacd Exp $

require 'amazon'

module Amazon

  # Load this module with:
  #
  #  require 'amazon/babyregistry'
  #
  module BabyRegistry

    # Returns an HTML form for adding an item to a baby registry.
    #
    def add_item_form(assoc_id, dev_id, asin, locale='us')

      assoc_id ||= DEFAULT_ID
      locale.downcase!
      site = SITE[locale]

      <<"EOF"
<form method="POST" action="http://#{site}/exec/obidos/dt/assoc/handle-buy-box=#{asin}">
<input type="hidden" name="asin.#{asin}" value="1">
<input type="hidden" name="tag-value" value="#{assoc_id}">
<input type="hidden" name="tag_value" value="#{assoc_id}">
<input type="submit" name="submit.add-to-registry.babyreg" value="Add to Amazon #{locale} Baby Registry">
</form>
EOF
    end
    module_function :add_item_form

  end
end
